export class AndroidNotificationsService {
    IsAndroidNotificationsAvailable() {
        return navigator.AndroidNotifications !== undefined;
    }
    CheckNotificationPermissionAsync() {
        if (this.IsAndroidNotificationsAvailable()) {
            return navigator.AndroidNotifications.CheckNotificationPermissionAsync();
        }
        return Promise.resolve(false);
    }
    RequestNotificationPermissionAsync() {
        if (this.IsAndroidNotificationsAvailable()) {
            return navigator.AndroidNotifications.RequestNotificationPermissionAsync();
        }
        return Promise.resolve(false);
    }
    GetServiceName() {
        return AndroidNotificationsService.ServiceName;
    }
}
AndroidNotificationsService.ServiceName = "AndroidNotificationsService";
//# sourceMappingURL=AndroidNotificationService.js.map