import { TimeSpanParam } from "./LeftArgumentTypes";
export declare class DelayTask {
    Delay: TimeSpanParam;
}
export declare class NotifyTask {
    /**
     * Message to be sent to the client
     * We can use here special variable patterns like {channelId:StateInterfaceName} to replace this with last state value, eq. {f945b230-cbb8-4dc0-ae0a-a85866467872_1:IChannelOnOff} will be replaced with 'on' or 'off' depending on the last state of the channel
     */
    Message: string;
    NotifyType: NotifyType;
    NotificationClients: string[];
}
export declare enum NotifyType {
    None = 0,
    AppNotification = 1,
    Email = 2
}
export declare class LockExecutionTask {
    LockType: LockType;
    LockStartHour: TimeSpanParam;
    LockEndHour: TimeSpanParam;
    ResetLockScenesGuids: string[];
}
export declare enum LockType {
    Timeout = 0,
    TimeRange = 1
}
